Package robocode

## Class MoveCompleteCondition

- java.lang.Object
- - robocode.Condition
  - - robocode.MoveCompleteCondition

    public class MoveCompleteCondition
    extends Condition

A prebuilt condition you can use that indicates your robot has finished moving.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor), Nathaniel Troutman (contributor)
See Also:
  `Condition`

### Field Summary

### Fields inherited from class robocode.Condition

`name, priority`

### Constructor Summary

Constructors
`MoveCompleteCondition​(AdvancedRobot robot)` Creates a new MoveCompleteCondition with default priority.
`MoveCompleteCondition​(AdvancedRobot robot, int priority)` Creates a new MoveCompleteCondition with the specified priority.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cleanup​()` Called by the system in order to clean up references to internal objects.
`boolean` `test​()` Tests if the robot has stopped moving.

### Methods inherited from class robocode.Condition

`getName, getPriority, setName, setPriority`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MoveCompleteCondition

    public MoveCompleteCondition​(AdvancedRobot robot)

Creates a new MoveCompleteCondition with default priority. The default priority is 80.

Parameters:
  `robot` - your robot, which must be a `AdvancedRobot`

#### MoveCompleteCondition

    public MoveCompleteCondition​(AdvancedRobot robot,
                                 int priority)

Creates a new MoveCompleteCondition with the specified priority. A condition priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.

Parameters:
  `robot` - your robot, which must be a `AdvancedRobot`
  `priority` - the priority of this condition
See Also:
  `Condition.setPriority(int)`

### Method Detail

#### test

    public boolean test​()

Tests if the robot has stopped moving.

Specified by:
  `test` in class `Condition`
Returns:
  `true` if the robot has stopped moving; `false` otherwise

#### cleanup

    public void cleanup​()

Called by the system in order to clean up references to internal objects.

Overrides:
  `cleanup` in class `Condition`
Since:
  1.4.3